Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.signal.SignalEvent
Class AbortSignalEvent

    java.lang.Object
      |
      +--cnrg.itx.signal.SignalEvent.SignalEvent
            |
            +--cnrg.itx.signal.SignalEvent.AbortSignalEvent

public class AbortSignalEvent
extends SignalEvent

This class represents an event generated when a dial sequence failed and the call needs to be aborted.

Field Summary
`private java.lang.String` | `myAbortReason` Reason why the call is being aborted
`private cnrg.itx.datax.Connection` | `myOldConn` Data exchange connection that is being aborted

Fields inherited from class cnrg.itx.signal.SignalEvent.SignalEvent
`myDS, myInviteInfo, mySC`

Constructor Summary
`AbortSignalEvent(InvitePacket ip, cnrg.itx.datax.Connection c, java.lang.String reason)` constructor for an AbortSignalEvent

Method Summary
`java.lang.String` | `getAbortReason()`
`cnrg.itx.datax.Connection` | `getConnection()`

Methods inherited from class cnrg.itx.signal.SignalEvent.SignalEvent
`getDescription, getDesktopSignaling, getInvitePacket, getSenderID, getSenderLoc, getSignalConnection, setDesktopSignaling, setSignalConnection`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### myAbortReason

    private java.lang.String myAbortReason

  Reason why the call is being aborted

### myOldConn

    private cnrg.itx.datax.Connection myOldConn

  Data exchange connection that is being aborted

Constructor Detail

### AbortSignalEvent

    public AbortSignalEvent(InvitePacket ip,
                            cnrg.itx.datax.Connection c,
                            java.lang.String reason)

  constructor for an AbortSignalEvent
  Parameters:
    `p_conn` - the connection given to signaling if the onInvite function accepts with accept(Connection);
    `p_abortReason` - the reason for the abortion

Method Detail

### getConnection

    public cnrg.itx.datax.Connection getConnection()

  Returns:
    the old Connection object

### getAbortReason

    public java.lang.String getAbortReason()

  Returns:
    the abort reason

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD